#version 330 core
 
// Our texture
uniform sampler2D   texturesampl;
 
// Incoming attributes from the vertex shader
smooth  in  vec2 fs_texc;
smooth  in  vec4 fs_color;
 
// Output color
        out vec4 fragColor;
 
void main()
{
   fragColor = texture2D(texturesampl, fs_texc).rrrr * fs_color;
}