  #version 330

in vec4 vertexPositionModel;
in vec2 uv;
in vec3 normalModel;
//in vec3 vertexColor;


//uniform mat4 projectionMatrix;
uniform mat4 modelToWorldMatrix;
uniform mat4 MVP;

out vec3 worldNormal;
//out vec3 color;
out vec3 vertexPositionWorld;
out vec2 fUVs;

void main()
{

	gl_Position = MVP * vertexPositionModel;
	//position calcs
	// outPos
	vertexPositionWorld = vec3(modelToWorldMatrix * vertexPositionModel);

	//Texture Calcs
	fUVs = uv;
	worldNormal = vec3(modelToWorldMatrix * vec4(normalModel, 0));
	//worldNormal = vec3(modelToWorldMatrix * normalize(vertexPositionModel));
	//color = vertexColor;
	
}
